kind: pipeline
name: test-docker-build

steps:
- name: test-docker-build
  image: plugins/docker
  network_mode: bridge
  settings:
    repo: sneak/mfer
    build_args_from_env: [ DRONE_COMMIT_SHA ]
    dry_run: true
    custom_dns: [ 116.202.204.30 ]
    tags:
      - ${DRONE_COMMIT_SHA:0:7}
      - ${DRONE_BRANCH}
      - latest
- name: notify
  image: plugins/slack
  settings:
    webhook:
      from_secret: SLACK_WEBHOOK_URL
  when:
    event: pull_request
